Package org.mozilla.javascript

## Class LambdaSlot

- java.lang.Object
- - org.mozilla.javascript.Slot
  - - org.mozilla.javascript.LambdaSlot

- All Implemented Interfaces:
    `java.io.Serializable`

      public class LambdaSlot
      extends Slot

  This is a specialization of property access using some lambda functions. It behaves exactly like any other slot that has only a value, but instead of getting the value directly, it comes from calling the functions. This makes it different from GetterSlot, which lets the user see directly that there is a getter or a setter function involved. This makes this class useful for implementing properties that behave like any other JavaScript property but which are implemented using some native functionality without using reflection.
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getValue​(Scriptable start)` |
    `boolean` | `setValue​(java.lang.Object value, Scriptable owner, Scriptable start, boolean isThrow)` |

    - ### Methods inherited from class org.mozilla.javascript.Slot

      `setValue, throwNoSetterException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setValue

          public boolean setValue​(java.lang.Object value,
                                  Scriptable owner,
                                  Scriptable start,
                                  boolean isThrow)

      Overrides:
        `setValue` in class `Slot`

    - #### getValue

          public java.lang.Object getValue​(Scriptable start)

      Overrides:
        `getValue` in class `Slot`